Subject: [alpine-aports] [PATCH] testing/oksh: new aport

From: systmkor <[email-masked]>
Date: Sat, 17 Jan 2015 18:27:05 -0800

Korn Shell ported version of ksh from OpenBSD
http://www.connochaetos.org/oksh/
---
 testing/oksh/APKBUILD | 58 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)
 create mode 100644 testing/oksh/APKBUILD

diff --git a/testing/oksh/APKBUILD b/testing/oksh/APKBUILD
new file mode 100644
index 0000000..6b896d0
--- /dev/null
+++ b/testing/oksh/APKBUILD
@@ -0,0 +1,58 @@
+# Contributor: Orion <[email-masked]
+# Maintainer: Orion <[email-masked]
+# Reference
+#   https://aur.archlinux.org/packages/oksh/
+pkgname=oksh
+pkgver=0.5.0
+pkgrel=0
+pkgdesc="Korn Shell ported version of ksh from OpenBSD"
+url="http://www.connochaetos.org/oksh"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.connochaetos.org/$pkgname/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man/man1/ \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" prefix=${pkgdir} mandir=$pkgdir/usr/share/man/man1/ install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+doc() {
+    # Man pages
+    mkdir -p "$subpkgdir"/usr/share/man || return 1
+    mv "$pkgdir"/usr/share/man/man* "$subpkgdir"/usr/share/man/man1/ || return 1
+}
+
+md5sums="e8118f06ac41ff7ce416706ffc649192  oksh-0.5.0.tar.gz"
+sha256sums="63c7570afdcd124244584ace0e8ed0c5f3dd57f0f5cba0d7746ee3aeb194686e  oksh-0.5.0.tar.gz"
+sha512sums="c93dad98444cbdffe40b2448ae39d38f347fb93a8008e5ee411cbfdf7defde2e454f17655b6c709e1536261ad01ef5cd81845c4569bffeae3405654963fa9088  oksh-0.5.0.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Wed, 21 Jan 2015 13:23:12 +0100

On Sat, 17 Jan 2015 18:27:05 -0800

> http://www.connochaetos.org/oksh/

applied. thanks!

-nc

---